org.apache.activemq.artemis.api.core.management

## Class ResourceNames

- java.lang.Object
- - org.apache.activemq.artemis.api.core.management.ResourceNames

-     public final class ResourceNames
      extends Object

  Helper class used to build resource names used by management messages.
  Resource's name is build by appending its name to its corresponding type. For example, the resource name of the "foo" queue is `QUEUE + "foo"`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCEPTOR`
    `static String` | `ADDRESS`
    `static String` | `BRIDGE`
    `static String` | `BROADCAST_GROUP`
    `static String` | `BROKER`
    `static String` | `CORE_CLUSTER_CONNECTION`
    `static String` | `DIVERT`
    `static String` | `QUEUE`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BROKER

          public static final String BROKER

      See Also:
        Constant Field Values

    - #### QUEUE

          public static final String QUEUE

      See Also:
        Constant Field Values

    - #### ADDRESS

          public static final String ADDRESS

      See Also:
        Constant Field Values

    - #### BRIDGE

          public static final String BRIDGE

      See Also:
        Constant Field Values

    - #### ACCEPTOR

          public static final String ACCEPTOR

      See Also:
        Constant Field Values

    - #### DIVERT

          public static final String DIVERT

      See Also:
        Constant Field Values

    - #### CORE_CLUSTER_CONNECTION

          public static final String CORE_CLUSTER_CONNECTION

      See Also:
        Constant Field Values

    - #### BROADCAST_GROUP

          public static final String BROADCAST_GROUP

      See Also:
        Constant Field Values

Copyright © 2018 The Apache Software Foundation. All rights reserved.